function url_process(linkurl, fileurl, str)
    local pattern_name = "歌曲名称.-<[Aa].->(.-)</[Aa]>"
    local pattern_url  = "href=\"(.-)\""
    local pattern_ext  = ".*(%..-)$"
    local start, _, tmp

    local base_name, ext, url

    start, _, tmp = string.find(str, pattern_name)
    --print(start, tmp)
    if start == nil then return ""  else base_name = tmp end
    base_name = string.gsub(base_name, "<.->", "")

    start, _, tmp = string.find(str, pattern_url)
    if start == nil then return "" else url = tmp end

    start, _, tmp = string.find(url, pattern_ext)
    --print(start, tmp)
    if start == nil then return "" else ext = tmp end 

    return base_name .. ext
end

function url_query(str)
    local start
    local pattern_url = "203%.209%.240%.%d+/down%.php"

    start = string.find(str, pattern_url)
    if start == nil then
        return false
    end

    return true
end


f = {}
f.process = url_process
f.accept = url_query
inteligent_name_table["mp3_yahoo.lua"] = f
